summaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorJesse Duffield <jessedduffield@gmail.com>2018-08-21 17:39:55 +1000
committerGitHub <noreply@github.com>2018-08-21 17:39:55 +1000
commitc6a88990607cb036ba97a283586e6092c1e7c5e9 (patch)
tree7617c2320198b7a657742b977e03d65ab9510c40 /test
parentda4c12bf9e50f2e4a03a0a2ae67cd4ba82220963 (diff)
parent45fea837713e3f471813596209cd78398df115fc (diff)
Merge pull request #160 from remyabel/157_remove_bom
#157: clean BOM, allowing CSV files to display correctly
Diffstat (limited to 'test')
-rw-r--r--test/repos/bom.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/test/repos/bom.sh b/test/repos/bom.sh
new file mode 100644
index 000000000..190f501a1
--- /dev/null
+++ b/test/repos/bom.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+set -ex; rm -rf repo; mkdir repo; cd repo
+
+git init
+
+cat <<EOT >> windowslf.txt
+asdf
+asdf
+EOT
+
+cat <<EOT >> linuxlf.txt
+asdf
+asdf
+EOT
+
+cat <<EOT >> bomtest.txt
+A,B,C,D,E
+F,G,H,I,J
+K,L,M,N,O
+P,Q,R,S,T
+U,V,W,X,Y
+Z,1,2,3,4
+EOT